//
// Module: OffCCDPSFCorrector
// Author: Richard Saxton
//
// Description: 
//
// Class to return pixels within the source box which are in the chip
// gaps. These may be modified by the PSF function.
//
// Modifications: See ChangeLog
// 
// $Id: OffCCDPSFCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef OffCCDPSFCorrector_H
#define OffCCDPSFCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "PixelIterator.h"
#include "PsfModel.h"
#include "MissingPixCorrector.h"

class OffCCDPSFCorrector : public MissingPixCorrector
{
public:

  /* Constructor */
  OffCCDPSFCorrector(unsigned eefactor, PsfModel * psf);

  /* Destructor */
  ~OffCCDPSFCorrector();

  /* Map filter */
  void OffCCDPSFCorrector::filterMap();

  int totalPixels() const;

private:

  PixelIterator * _pxitr;
  PsfModel * _psf;

  double eeFraction( double energy ) const;

};

#endif
