//
// Module: RatioEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Ratio source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: RatioEeCorrector.h,v 1.2 2006/06/07 14:31:35 rsaxton Exp $

#ifndef RatioEeCorrector_H
#define RatioEeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "Xmm.h"
#include "Region.h"

class RatioEeCorrector : public EeCorrector
{
public:

  /* Constructor */
  RatioEeCorrector(Xmm::Mode windowMode, const GeoRegion &region);

  /* Destructor */
  ~RatioEeCorrector();

  /* Return ratio at a set of energies */
  vector<double> Fraction( const vector<double>& energyvector) const;

private:

  double _ratio;
};

#endif
